/* Declarations of IRC message structures, variables, and functions.
 *
 * Services is copyright (c) 1996-1999 Andrew Church.
 *     E-mail: <achurch@dragonfire.net>
 * Services is copyright (c) 1999-2000 Andrew Kempe.
 *     E-mail: <theshadow@shadowfire.org>
 * This program is free but copyrighted software; see the file COPYING for
 * details.
 *
 * $Id: messages.h,v 1.2 2003/11/05 00:33:41 stu Exp $
 */

#ifndef MESSAGES_H_INC
#define MESSAGES_H_INC

struct Message
{
    const char *name;
    void (*func)(char *, int, char **);
};

extern struct Message messages[];

extern struct Message *find_message(const char *);

#endif
